aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--_config.yml2
-rwxr-xr-xscripts/assert-spelling.sh10
-rw-r--r--scripts/spelling/international.txt1
3 files changed, 6 insertions, 7 deletions
diff --git a/_config.yml b/_config.yml
index 0c2a1b2..373dc6b 100644
--- a/_config.yml
+++ b/_config.yml
@@ -86,7 +86,7 @@ t:
fr: "feed.articles.fr.atom"
pastebins:
listing:
- en: "Pastings listing"
+ en: "Pastebins listing"
pt: "Lista de pastebins"
fr: "Liste de pastebins"
feed:
diff --git a/scripts/assert-spelling.sh b/scripts/assert-spelling.sh
index caaecfa..e7bd3b8 100755
--- a/scripts/assert-spelling.sh
+++ b/scripts/assert-spelling.sh
@@ -8,7 +8,7 @@ export LANG=C.UTF-8
for DICT in scripts/spelling/*.txt; do
diff <(sort "$DICT") "$DICT" || {
echo "The $DICT dictionary is unsorted. To fix it, run:" >&2
- echo " LANG=C.UTF-8 sort docs/$DICT | sponge docs/$DICT" >&2
+ echo " LANG=C.UTF-8 sort $DICT | sponge $DICT" >&2
exit 1
}
done
@@ -17,11 +17,9 @@ OUT="$(mktemp)"
shopt -s globstar
jekyll build
for f in _site/**/*.html; do
- if ! grep -E '^_site/pastebin' <(echo "$f") > /dev/null; then
- if ! grep -E '^_site/vendor/' <(echo "$f") > /dev/null; then
- l="$(head -n2 "$f" | tail -n1 | cut -d\" -f2)"
- hunspell -u3 -H -d "$l" -p <(cat scripts/spelling/international.txt "scripts/spelling/$l.txt") "$f" | tee -a "$OUT"
- fi
+ if ! grep -E '^_site/vendor/' <(echo "$f") > /dev/null; then
+ l="$(head -n2 "$f" | tail -n1 | cut -d\" -f2)"
+ hunspell -u3 -H -d "$l" -p <(cat scripts/spelling/international.txt "scripts/spelling/$l.txt") "$f" | tee -a "$OUT"
fi
done
diff --git a/scripts/spelling/international.txt b/scripts/spelling/international.txt
index 3536249..12126cc 100644
--- a/scripts/spelling/international.txt
+++ b/scripts/spelling/international.txt
@@ -58,6 +58,7 @@ POSIX
Pastebin
PouchDB
README
+RPN
RSS
Raku
Reddit